summaryrefslogtreecommitdiffstats
path: root/tests/shell/testcases/nft-f/0018jump_variable_0
diff options
context:
space:
mode:
Diffstat (limited to 'tests/shell/testcases/nft-f/0018jump_variable_0')
-rwxr-xr-xtests/shell/testcases/nft-f/0018jump_variable_019
1 files changed, 19 insertions, 0 deletions
diff --git a/tests/shell/testcases/nft-f/0018jump_variable_0 b/tests/shell/testcases/nft-f/0018jump_variable_0
new file mode 100755
index 00000000..003a1bdf
--- /dev/null
+++ b/tests/shell/testcases/nft-f/0018jump_variable_0
@@ -0,0 +1,19 @@
+#!/bin/bash
+
+# Tests use of variables in jump statements
+
+set -e
+
+RULESET="
+define dest = ber
+
+table ip foo {
+ chain bar {
+ jump \$dest
+ }
+
+ chain ber {
+ }
+}"
+
+$NFT -f - <<< "$RULESET"